- job:
    name: ldcg-sbsa-acs
    project-type: freestyle
    defaults: global
    properties:
        - authorization:
            anonymous:
                - job-read
                - job-extended-read
            everyone-flat:
                - job-read
                - job-extended-read
                - job-build
                - job-cancel
        - build-discarder:
            days-to-keep: 7
            num-to-keep: 7
    parameters:
        - string:
            name: QEMU_TIMEOUT
            default: '120'
            description: 'timeout for single qemu run'
    disabled: false
    node: docker-bookworm-arm64-ldcg
    display-name: 'SBSA QEMU firmware test - (S)BSA ACS'
    wrappers:
        - timestamps
        - credentials-binding:
            - text:
                credential-id: snapshots-api-key
                variable: PUBLISH_KEY
    builders:
        - shell:
            !include-raw: ldcg-sbsa-firmware/build-sbsa-acs.sh
        - shell:
            !include-raw: ldcg-sbsa-firmware/publishers.sh
    publishers:
        - email:
            recipients: 'shashi.mallela@linaro.org marcin.juszkiewicz@linaro.org asa-dev@op-lists.linaro.org'
